Fleet List Archival Backups
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/archivalBackups/protectionPolicy/{protectionPolicyName}
Get the list of archival backups for all protected databases in a protection policy on a Recovery Appliance. This API requires ZDLRA Management Pack to be enabled on the Recovery Appliance.
Request
Path Parameters
-
protectionPolicyName(required): string
Protection policy name.Example:
SILVER -
raTargetId(required): string
Recovery Appliance Target id.Example:
F76BBCCBD8A0D4719A8AA588375FA8BE
Query Parameters
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
Header Parameters
-
ORCL-EM-ZDLRATARGET-AUTHORIZATION(required): string
Recovery Appliance Administrator Credentials. The format must be NAMED:
(e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials. Example:NAMED:ORSADMIN
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful Operation
Root Schema : ArchivalBackupProtectionPolicyCollection
Type:
objectCollection of Archival Backup objects
Show Source
-
items(required): array
items
List of Archival Backup objects
Match All
Collection of Archival Backup objects
Show Source
-
object
CommonListProperties
Common properties for list response.
Nested Schema : items
Type:
arrayList of Archival Backup objects
Show Source
-
Array of:
object ArchivalBackupSinglePolicySummary
Archival backup Properties
Nested Schema : CommonListProperties
Type:
objectCommon properties for list response.
Show Source
-
code: integer
HTTP Response Code.
-
count(required): integer
Count of summary objects in this page.
-
message: string
Response message.
-
raTargetName: string
Recovery appliance target name.
-
raTargetTimezone: string
Recovery appliance timezone.
Nested Schema : ArchivalBackupSinglePolicySummary
Type:
objectArchival backup Properties
Match All
Archival backup Properties
Show Source
-
object
ArchivalBackupSingleDatabase
Archival backup Properties
Nested Schema : ArchivalBackupSingleDatabase
Type:
objectArchival backup Properties
Show Source
-
creationTime: string
Creation time of the archival backup.
-
keepbkpTag: string
Keep backup tag used for the archival backup.
-
keepbkpToTime: string
Keep backup time used for the archival backup.
-
keepUntil: string
Keep until time of the archival backup.
-
name: string
Archival backup name
-
scn: string
SCN of the database used for the archival backup.
-
status: string
Status of the archival backup. I (Initiated), A (Available), E (Error), D (Deleted)Example:
A
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message